Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008117TestLinkUsers and Rightspublic2017-10-17 20:562017-10-23 17:14
Reportertjosephine 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008117: Not able to create a new user from the login page due to wrong variable
DescriptionAfter selecting the option "New User?" and providing all the details, we click on the button to create the new user.

We get the following error message (see attached picture):
Fatal Error: Uncaught exception 'phpmailerException' with message 'You must provide at least one recipient email address'

We are using LDAP authentication and the user creation was successful in 1.9.15.

After investigation we noticed the script firstLoging.php has been updated.

After checking all the lines we noticed line 179:
$mail['to'] = implode(',',$ema); // email_api uses ',' as list separator

The function implode needs an Array.
We replaced $ema by $dest which is defined as an Array.
$mail['to'] = implode(',',$dest); // email_api uses ',' as list separator

Then, no issue and we were able to create a new user.

Please could you confirm from your side?
Thanks

Steps To ReproduceCreate a new user with latest fix package 1.9.16
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome v.58
PHP Version5.6.14
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon phpmailerExceptionError.png [^] (25,145 bytes) 2017-10-17 20:56

- Relationships

-  Notes
(0026962)
fman (administrator)
2017-10-22 18:50

Please try with this => https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/525479fd9222c7a8fe480baba3acd75c5ce39e07 [^]
(0026965)
tjosephine (reporter)
2017-10-23 13:27

Working fine. Thanks!

- Issue History
Date Modified Username Field Change
2017-10-17 20:56 tjosephine New Issue
2017-10-17 20:56 tjosephine File Added: phpmailerExceptionError.png
2017-10-18 20:37 fman QA Team - Task Workflow Status => TBD
2017-10-18 20:37 fman View Status private => public
2017-10-22 18:49 fman Summary Not able to create a new user from the login page => Not able to create a new user from the login page due to wrong variable
2017-10-22 18:50 fman Note Added: 0026962
2017-10-22 18:50 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-10-22 18:50 fman Assigned To => fman
2017-10-22 18:50 fman Status new => feedback
2017-10-23 13:27 tjosephine Note Added: 0026965
2017-10-23 13:27 tjosephine Status feedback => assigned
2017-10-23 17:14 fman Status assigned => resolved
2017-10-23 17:14 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-10-23 17:14 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker